@import url('https://www.w3schools.com/w3css/5/w3.css');
@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.0/css/all.min.css');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap');
@import url('/css/themify-icons/themify-icons.css');

/********************************************************************************/
/*                                  configurations                              */
/********************************************************************************/

:root {
    --background-color: #FFFFFF;
    --alternate-background: #f7f7f7;
    --text-dark-black-color: #1f1c2f;
    --text-light-black-color: #626262;
    --font-family: 'Roboto', sans-serif;
    --max-pc-screen-width: 1366px;
    --large-h-factor: 1;
    --large-v-factor: 1;
    --medium-h-factor: 0.25;
    --medium-v-factor: 0.8;
    --small-h-factor: 0.1;
    --small-v-factor: 0.6;
    --top-bar-height: calc(88px * var(--large-v-factor));
    --bottom-bar-height: 87px;
}

/********************************************************************************/
/*                                     colors                                   */
/********************************************************************************/

/* white */
.sf-white, .wk-hover-white:hover {
    background-color: #FFFFFF;
    color: #626262;
}

.sf-white h1,
.sf-white h2,
.sf-white h4 {
    color: #1f1c2f;
}

.sf-white h3 {
    color: var(--dark-color);
}

/* light grey */
.sf-light-grey, .sf-light-grey:hover {
    background-color: #f7f7f7;
    color: #626262;
}

.sf-light-grey h1,
.sf-light-grey h2,
.sf-light-grey h4 {
    color: #1f1c2f;
}

.sf-light-grey h3 {
    color: var(--dark-color);
}

/********************************************************************************/
/*                                page scope styles                             */
/********************************************************************************/

html, body {
    font-family: var(--font-family);
}

body {
    padding-top: 99px;
    padding-bottom: var(--bottom-bar-height);
}

html {
    scroll-behavior: smooth;
}

.sf-container {
    width:100%;
    height:auto;
}

.sf-container > div {
    padding-left: calc(100px * var(--large-h-factor));
    padding-right: calc(100px * var(--large-h-factor));
    padding-top: calc(80px * var(--large-v-factor));
    padding-bottom: calc(80px * var(--large-v-factor));
    max-width: var(--max-pc-screen-width);
    margin: 0 auto;
}

.sf-container-vertical-padding-small > div {
    padding-top: calc(20px * var(--large-v-factor));
    padding-bottom: calc(20px * var(--large-v-factor));

}

/********************************************************************************/
/*                                   menu styles                                */
/********************************************************************************/

.sf-menu .w3-bar {
    display: flex;
    align-items: center;
    padding-top: 30px;
    padding-bottom: 30px;
    overflow: visible !important;
}

.sf-menu .w3-bar .w3-right {
    margin-left: auto;
    display: flex;
    align-items: center;
}

.sf-menu a,
.sf-menu .w3-dropdown-hover {
    color: var(--light-color);
}

.sf-menu .w3-bar-item:hover,
.sf-menu .w3-dropdown-hover>button:hover {
    color: var(--dark-color) !important;
    background-color: unset !important;
}

.w3-dropdown-hover:hover > .w3-button {
    color: var(--light-color) !important;
    background-color: unset !important;
}

.menu-logo {
    padding:0 !important;
}

.menu-logo > img {
    height:38px;
    padding-bottom:4px;
}

.sf-menu .w3-right {
    position: relative;
}

.sf-menu .w3-right>a {
    padding:0;
    margin-bottom:3px;
}

.sf-menu .w3-dropdown-content {
    left: auto !important;
}

.sf-menu .sf-menu-burger > .w3-dropdown-content {
    right: 0 !important;
    left: auto !important;
}

/* switch to burger menu at 800px */

@media (min-width:800px) {
    .sf-menu .w3-dropdown-content {
        right: 0px !important;
    }

    .sf-menu-burger {
        display: none;
    }
}

@media (max-width: 799px) {
    .sf-menu .w3-bar {
        padding-top: 10px;
        padding-bottom: 10px;
    }

    body {
        padding-top: 59px;
    }

    .sf-menu .w3-dropdown-content {
        right: 45px !important;
    }

    .sf-menu .w3-bar > a[data-menu] {
        display: none;
    }
}

/********************************************************************************/
/*                            general content styles                            */
/********************************************************************************/

h1 {
    color: var(--text-dark-black-color);
    font-family: var(--font-family) !important;
    line-height: calc(1.33333 * var(--large-v-factor));
    font-weight: 400;
    font-size: calc(42px * var(--large-v-factor));
    margin-top: 0px;
    margin-bottom: calc(35px * var(--large-v-factor));
}

h2 {
    color: var(--text-dark-black-color);
    font-family: var(--font-family) !important;
    line-height: calc(1.33333 * var(--large-v-factor));
    font-weight: 400;
    font-size: calc(42px * var(--large-v-factor));
    margin-top: 0px;
    margin-bottom: calc(30px * var(--large-v-factor));
}

h3 {
    color: var(--dark-color);
    font-family: var(--font-family) !important;
    font-size: 16px;
    font-weight: 700;
    letter-spacing: 2px;
    text-transform: uppercase;
    margin-top: 0px;
    margin-bottom: calc(15px * var(--large-v-factor));
}

h4 {
    color: var(--text-dark-black-color);
    font-size: 16px;
    font-weight: 700;
}

h5 {
    color: var(--text-dark-black-color);
    font-size: 30px;
    font-weight: 400;
}

h6 {
    color: var(--text-dark-black-color);
    font-size: 24px;
    font-weight: 400;
}

a {
    text-decoration: none;
    color: var(--light-color);
}

a:hover {
    color: var(--dark-color);
}

.sf-half-image-size-first {
    padding-right:5px;
}

.sf-half-image-size-first,
.sf-half-image-size-second {
    max-width: 49%;
}

.sf-half-image-size {
    padding-right:5px;
    max-width: 49%;
}

/********************************************************************************/
/*                                text block styles                             */
/********************************************************************************/

.sf-text-block p:first-of-type {
    margin-top: 0px;
}

.sf-text-block p:last-of-type {
    margin-bottom: 0px;
}

/********************************************************************************/
/*                                choose option menu                            */
/********************************************************************************/

.sf-choose-option-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.sf-choose-option-list-item {
    width: 160px;
    text-align: unset;
}


/********************************************************************************/
/*                                two column styles                             */
/********************************************************************************/

.sf-two-column {
    display:flex;
    gap: calc(70px * var(--large-h-factor));
    align-items: center;
}

.sf-left-column-image,
.sf-right-column-image,
.sf-right-column-text,
.sf-left-column-text {
    flex:1;
}

/********************************************************************************/
/*                                 icon row styles                              */
/********************************************************************************/

.sf-icon-row-item {
    display: block;
    text-align: center;text-decoration: none;
    color: var(--dark-color);
    transition: color 0.2s ease;
    padding: 10px 10px;
    min-width: 170px;
}

.w3-row > .sf-icon-row-item:first-of-type {
    padding-left: unset;
    min-width: 160px;
}

.w3-row > .sf-icon-row-item:last-of-type {
    padding-right: unset;
    min-width: 160px;
}

.sf-icon-row-item:hover {
    color: var(--light-color);
}

.sf-icon-row-item > i{
    font-size: 60px;
}

.sf-icon-row-item > h3 {
    margin-top: 10px;
    margin-bottom: unset;
    color: unset;
}

/********************************************************************************/
/*                                  faq row styles                              */
/********************************************************************************/

.sf-container details {
    margin-bottom: 2px;
}

.sf-container details:last-of-type {
    margin-bottom: unset;
}

.sf-container summary {
    color: var(--text-dark-black-color);
    background-color: var(--light-color);
    padding: .5em 1.3em;
    list-style: none;
    display: flex;
    justify-content: space-between;
    transition: height 1s ease;
}

.sf-container summary:after {
    content: "\002B";
}

.sf-container details[open] summary:after {
    content: "\00D7";
}

.sf-container details[open] div {
    padding: .5em 1.3em;
}

/********************************************************************************/
/*                                  footer styles                               */
/********************************************************************************/

.w3-bottom {
    background-color: #1a1a23;
    color: #c2c2c2 !important;
}

.w3-bottom .w3-bar {
    display:flex; 
    justify-content: space-between; 
    align-items:center;
}

.w3-bottom .w3-bar-item {
    color: #c2c2c2 !important;
}

.w3-bottom .w3-bar {
    padding: 8px;
}

.sf-footer a,
.sf-footer .w3-dropdown-hover {
    color: var(--light-color);
}

.sf-footer .w3-bar-item:hover,
.sf-footer .w3-dropdown-hover>button:hover {
    color: var(--dark-color) !important;
    background-color: unset !important;
}

.sf-footer-copyright {
    color: grey !important;
    text-align: center !important;    
    border-top: 1px solid rgba(235, 235, 235, .1);
    padding-top: 4px;
}

/********************************************************************************/
/*                                responsive design                             */
/********************************************************************************/

/* stack two columns at 704px*/
@media (max-width: 704px) {
    .sf-two-column {
        display: block; /* stack vertically */
    }

    .sf-two-column > div {
        width: 100%;
    }

    h3 {
        margin-top: calc(15px * var(--small-v-factor));
    }   
}

/* stack the items in the footer at 450px */
@media (max-width: 450px) {
    .w3-bottom .w3-bar {
        flex-direction: column;   /* stack vertically */
    }
    .w3-bottom .w3-bar .w3-bar-item {
        width: 100%;              /* optional: make each link full width */
        text-align: center;       /* center text inside each button */
    }
}

/* switch to medium size at 1024px */
@media (max-width: 1024px) {

    .sf-container > div {
        padding-left: calc(100px * var(--medium-h-factor));
        padding-right: calc(100px * var(--medium-h-factor));
        padding-top: calc(80px * var(--medium-v-factor)); 
        padding-bottom: calc(80px * var(--medium-v-factor)); 
    }

    .sf-two-column {
        gap: calc(70px * var(--medium-h-factor));
    }

    h1 {
        line-height: calc(1.33333 * var(--medium-v-factor));
        font-size: calc(42px * var(--medium-v-factor));
        margin-bottom: calc(35px * var(--medium-v-factor));
    }

    h2 {
        line-height: calc(1.33333 * var(--medium-v-factor));
        font-size: calc(42px * var(--medium-v-factor));
        margin-bottom: calc(30px * var(--medium-v-factor));
    }

    h3 {
        margin-bottom: calc(15px * var(--medium-v-factor));
    }
}

/* switch to small size screens at 640px*/
@media (max-width: 704px) {
    .sf-two-column {
        gap: calc(70px * var(--small-h-factor));
    }

    h1 {
        line-height: calc(1.33333 * var(--small-v-factor));
        font-size: calc(42px * var(--small-v-factor));
        margin-bottom: calc(35px * var(--small-v-factor));
    }

    h2 {
        line-height: calc(1.33333 * var(--small-v-factor));
        font-size: calc(42px * var(--small-v-factor));
        margin-bottom: calc(30px * var(--small-v-factor));
    }

    h3 {
        margin-bottom: calc(15px * var(--small-v-factor));
    }   
}


/* for mobile screens */
@media (max-width: 436px) {
    :root {
        --top-bar-height: 48px;
        --bottom-bar-height: 48px;
    }
}